<?php

/**
 * This file is part of the MADIS - RGPD Management application.
 *
 * @copyright Copyright (c) 2018-2019 Soluris - Solutions Numériques Territoriales Innovantes
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 */

declare(strict_types=1);

namespace App\Tests\Domain\User\Component;

use App\Domain\User\Component\TokenGenerator;
use PHPUnit\Framework\TestCase;
use RandomLib\Factory;

class TokenGeneratorTest extends TestCase
{
    /**
     * Test generateToken method.
     *
     * It return a token
     */
    public function testGenerateToken()
    {
        $token = (new TokenGenerator(new Factory()))->generateToken();

        $this->assertEquals(TokenGenerator::TOKEN_LENGTH, \strlen($token));
    }
}
